package com.unissoft.config;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

@Component
@Lazy(false)
public class MyApplicationContextAware implements ApplicationContextAware {

    private static ApplicationContext applicationContext;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        MyApplicationContextAware.applicationContext = applicationContext;
    }

    public static ApplicationContext getApplicationContext() {
        return MyApplicationContextAware.applicationContext;
    }

    public static Object getBean(String beanName) {
        return MyApplicationContextAware.applicationContext.getBean(beanName);
    }

    public static <T> T getBean(Class<T> clazz) {
        return (T)MyApplicationContextAware.applicationContext.getBean(clazz);
    }
}
