package com.unissoft.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.QuartzModel;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.QuartzService;
import io.swagger.annotations.ApiOperation;
import org.quartz.SchedulerException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/job")
public class QuartzController {

    @Autowired
    private QuartzService quartzService;


	@ApiOperation(value = "新增任务", notes = "")
	@PostMapping("/authority_button/add")
	public ResultView add(QuartzModel quartz){
		boolean result = quartzService.save(quartz);
		if(result) {
			return ResultView.success();
		}
		return ResultView.error();
	}

	@ApiOperation(value = "任务列表分页条件查询", notes = "提交参数：{\n" +
			"  \"condition\":\"{'jobName':''}\",\n" +
			"  \"pageIndex\": 1,\n" +
			"  \"pageSize\": 10\n" +
			"}")
	@PostMapping("/authority/getPage")
	public ResultView getPage(@RequestBody PageParam pageParam) throws SchedulerException {
		Page<QuartzModel> page = quartzService.getPage(pageParam);
		return ResultView.success(page);
	}

	@ApiOperation(value = "立即执行job", notes = "")
	@PostMapping("/authority_button/trigger")
	public ResultView trigger(QuartzModel quartz) {
		boolean result = quartzService.triggerJob(quartz);
		if(result) {
			return ResultView.success();
		}
		return ResultView.error();
	}

	@ApiOperation(value = "停止任务", notes = "")
	@PostMapping("/authority_button/pause")
	public  ResultView pause(QuartzModel quartz) {

		boolean result = quartzService.pauseJob(quartz);
		if(result) {
			return ResultView.success();
		}
		return ResultView.error();
	}

	@ApiOperation(value = "恢复任务", notes = "")
	@PostMapping("/authority_button/resume")
	public ResultView resume(QuartzModel quartz) {
		boolean result = quartzService.resumeJob(quartz);
		if(result) {
			return ResultView.success();
		}
		return ResultView.error();
	}

	@ApiOperation(value = "删除任务", notes = "")
	@PostMapping("/authority_button/remove")
	public ResultView remove(QuartzModel quartz) {
		boolean result = quartzService.removeJob(quartz);
		if(result) {
			return ResultView.success();
		}
		return ResultView.error();
	}


	@ApiOperation(value = "删除任务2", notes = "")
	@PostMapping("/authority_button/remove2")
	public ResultView remove2(QuartzModel quartz) {
		boolean result = quartzService.removeJob(quartz.getJobName(),quartz.getTriggerName(), quartz.getJobGroup());
		if(result) {
			return ResultView.success(quartz.getJobName());
		}
		return ResultView.error();
	}

}
