package com.unissoft.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.SysAnnouncement;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.SysAnnouncementUserService;
import com.unissoft.utils.UserUtils;
import com.unissoft.vo.SysAnnouncementUserVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 公告用户表 前端控制器
 * </p>
 *
 * @author root
 * @since 2020-12-10
 */
@RestController
@RequestMapping("/sysAnnouncementUser")
public class SysAnnouncementUserController {

    @Autowired
    private SysAnnouncementUserService announcementUserService;

    @ApiOperation(value = "分页条件查询", notes = "提交参数：{\n" +
            "  \"condition\":\"{'readStatus':'','title':'','content':''}\",\n" +
            "  \"pageIndex\": 1,\n" +
            "  \"pageSize\": 10\n" +
            "}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        Page<SysAnnouncementUserVO> page = announcementUserService.getPage(pageParam, userPO.getuId());
        return ResultView.success(page);
    }


    @ApiOperation(value = "标记已读状态", notes = "")
    @PostMapping("/authority_button/readed/{id}")
    public ResultView readed(@PathVariable int id) {
        announcementUserService.setReadedById(id);
        return ResultView.success();
    }


    @ApiOperation(value = "查看公告详情", notes = "")
    @GetMapping("/authority/viewAnnouncementById/{id}")
    public ResultView viewAnnouncementById(@PathVariable int id) {
        SysAnnouncement announcement = announcementUserService.viewAnnouncementById(id);
        return ResultView.success(announcement);
    }

}
