package com.unissoft.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.SysEarlyWarning;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.SysEarlyWarningService;
import com.unissoft.utils.UserUtils;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 预警管理 前端控制器
 * </p>
 *
 * @author root
 * @since 2020-12-15
 */
@RestController
@RequestMapping("/sysEarlywarning")
public class SysEarlyWarningController {

    @Autowired
    private SysEarlyWarningService earlyWarningService;

    @ApiOperation(value = "分页条件查询", notes = "提交参数：{\n" +
            "  \"condition\":\"{'warnName':''}\",\n" +
            "  \"pageIndex\": 1,\n" +
            "  \"pageSize\": 10\n" +
            "}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        Page<SysEarlyWarning> page = earlyWarningService.getPage(pageParam);
        return ResultView.success(page);
    }

    @ApiOperation(value = "根据id查询", notes = "")
    @GetMapping("/authority/getById/{id}")
    public ResultView getById(@PathVariable int id) {
        SysEarlyWarning model = earlyWarningService.getById(id);
        return ResultView.success(model);
    }

    @ApiOperation(value = "新增", notes = "")
    @PostMapping("/authority_button/add")
    public ResultView add(@RequestBody SysEarlyWarning model) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        earlyWarningService.save(model, userPO);
        return ResultView.success(model);
    }

    @ApiOperation(value = "修改", notes = "")
    @PostMapping("/authority_button/update")
    public ResultView update(@RequestBody SysEarlyWarning model) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        earlyWarningService.update(model, userPO);
        return ResultView.success();
    }

    @ApiOperation(value = "根据id删除", notes = "")
    @DeleteMapping("/authority_button/deleteById")
    public ResultView deleteById(@RequestParam int id) {
        earlyWarningService.deleteById(id);
        return ResultView.success();
    }

    @ApiOperation(value = "启动预警", notes = "")
    @GetMapping("/authority_button/enableWarn")
    public ResultView enableWarn(@RequestParam int id) {
        earlyWarningService.enableWarn(id);
        return ResultView.success();
    }

    @ApiOperation(value = "停止预警", notes = "")
    @GetMapping("/authority_button/stopWarn")
    public ResultView stopWarn(@RequestParam int id) {
        earlyWarningService.stopWarn(id);
        return ResultView.success();
    }

}
