package com.unissoft.controller;


import com.unissoft.dto.MessageVO;
import com.unissoft.enums.MessageTypeEnum;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.ResultView;
import com.unissoft.service.SysMessageService;
import com.unissoft.utils.UserUtils;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 消息推送表 前端控制器
 * </p>
 *
 * @author root
 * @since 2021-01-08
 */
@RestController
@RequestMapping("/sysMessage")
@Slf4j
public class SysMessageController {

    @Autowired
    private SysMessageService sysMessageService;

    @ApiOperation(value = "向用户发送信息", notes = "")
    @PostMapping("/authority/sendMessage")
    public ResultView sendMessage(@RequestBody MessageVO messageVO) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        messageVO.setFromUserId(userPO.getuId());
        if(null == messageVO.getType()) {
            messageVO.setType(MessageTypeEnum.ATTENTION.getCode());//默认类型
        }
        sysMessageService.sendMessage(messageVO);
        return ResultView.success();
    }

    @ApiOperation(value = "根据用户id删除webSocket连接", notes = "")
    @GetMapping("/authority/removeSession/{id}")
    public ResultView removeSession(@PathVariable int id) {
        sysMessageService.removeWebSocketSession(id);
        return ResultView.success();
    }

}
