package com.unissoft.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.SysNotice;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.SysNoticeService;
import com.unissoft.utils.UserUtils;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
@RestController
@RequestMapping("/sysNotice")
public class SysNoticeController {

    @Autowired
    private SysNoticeService noticeService;

    @ApiOperation(value = "分页条件查询", notes = "提交参数：{\n" +
            "  \"condition\":\"{'noticeTimeStart':'','noticeTimeEnd':'', 'noticeType':'', 'content':''}\",\n" +
            "  \"pageIndex\": 1,\n" +
            "  \"pageSize\": 10\n" +
            "}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        Page<SysNotice> page = noticeService.getPage(pageParam);
        return ResultView.success(page);
    }

    @ApiOperation(value = "根据id查询", notes = "")
    @GetMapping("/authority/getById/{id}")
    public ResultView getById(@PathVariable int id) {
        SysNotice model = noticeService.getById(id);
        return ResultView.success(model);
    }

    @ApiOperation(value = "新增", notes = "")
    @PostMapping("/authority_button/add")
    public ResultView add(@RequestBody SysNotice model) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        model.setCreateBy(userPO.getuId());
        model.setUpdateBy(userPO.getuId());
        //
        Date date = new Date();
        model.setCreateTime(date);
        model.setUpdateTime(date);
        noticeService.save(model);
        return ResultView.success(model);
    }

    @ApiOperation(value = "修改", notes = "")
    @PostMapping("/authority_button/update")
    public ResultView update(@RequestBody SysNotice model) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        model.setUpdateBy(userPO.getuId());

        Date date = new Date();
        model.setUpdateTime(date);
        noticeService.updateById(model);
        return ResultView.success();
    }

    @ApiOperation(value = "根据id删除", notes = "")
    @DeleteMapping("/authority_button/deleteById")
    public ResultView deleteById(@RequestParam int id) {
        noticeService.removeNoticeById(id);
        return ResultView.success();
    }

}
