package com.unissoft.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.SysPolicySystem;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.SysPolicySystemService;
import com.unissoft.utils.UserUtils;
import com.unissoft.vo.SysPolicySystemVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 政策制度 前端控制器
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
@RestController
@RequestMapping("/sysPolicySystem")
public class SysPolicySystemController {

    @Autowired
    private SysPolicySystemService policySystemService;

    @ApiOperation(value = "政策制度发布-分页条件查询", notes = "提交参数：{\n" +
            "  \"condition\":\"{'publishTimeStart':'','publishTimeEnd':'','title':''}\",\n" +
            "  \"pageIndex\": 1,\n" +
            "  \"pageSize\": 10\n" +
            "}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        Page<SysPolicySystem> page = policySystemService.getPage(pageParam, userPO);
        return ResultView.success(page);
    }

    @ApiOperation(value = "根据id查询", notes = "")
    @GetMapping("/authority/getById/{id}")
    public ResultView getById(@PathVariable int id) {
        SysPolicySystemVO result = policySystemService.getDataById(id);
        return ResultView.success(result);
    }

    @ApiOperation(value = "新增", notes = "")
    @PostMapping("/authority_button/add")
    public ResultView add(@RequestBody SysPolicySystem model) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        policySystemService.add(model, userPO);
        return ResultView.success(model);
    }

    @ApiOperation(value = "修改", notes = "")
    @PostMapping("/authority_button/update")
    public ResultView update(@RequestBody SysPolicySystem model) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        policySystemService.updateById(model, userPO);
        return ResultView.success();
    }

    @ApiOperation(value = "根据id删除", notes = "")
    @DeleteMapping("/authority_button/deleteById")
    public ResultView deleteById(@RequestParam int id) {
        policySystemService.removePolicySystemById(id);
        return ResultView.success();
    }

}
