package com.unissoft.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.SysPolicySystemUserService;
import com.unissoft.utils.UserUtils;
import com.unissoft.vo.SysPolicySystemUserVO;
import com.unissoft.vo.SysPolicySystemVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 政策制度用户表 前端控制器
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
@RestController
@RequestMapping("/sysPolicySystemUser")
public class SysPolicySystemUserController {

    @Autowired
    private SysPolicySystemUserService policySystemUserService;

    @ApiOperation(value = "分页条件查询", notes = "提交参数：{\n" +
            "  \"condition\":\"{'title':'','content':''}\",\n" +
            "  \"pageIndex\": 1,\n" +
            "  \"pageSize\": 10\n" +
            "}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        SysUserPO userPO = UserUtils.getCurrUserInfo();
        Page<SysPolicySystemUserVO> page = policySystemUserService.getPage(pageParam, userPO);
        return ResultView.success(page);
    }

    @ApiOperation(value = "查看政策制度详情", notes = "")
    @GetMapping("/authority/viewPolicySystemById/{id}")
    public ResultView viewPolicySystemById(@PathVariable int id) {
        SysPolicySystemVO result = policySystemUserService.viewPolicySystemById(id);
        return ResultView.success(result);
    }

}
