package com.unissoft.feign;

import com.unissoft.MyConstant;
import com.unissoft.dto.ProcessToBeDone;
import com.unissoft.dto.ToBeDoneCallbackVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * feign调用business服务
 */
@FeignClient(value = MyConstant.CSC_SZLS_BUSINESS, fallback = BusinessHystrix.class)
@Component
public interface BusinessFeign {

    @PostMapping("/ventilation/processAudit/toBeDone")
    List<ToBeDoneCallbackVO> toBeDone(@RequestBody ProcessToBeDone processToBeDone);

    @PostMapping("/ventilation/processAudit/getNotBeDoneNotice")
    List<Integer> getNotBeDoneNotice(@RequestParam("toBeDoneIds") String toBeDoneIds);

}
