package com.unissoft.feign;

import com.unissoft.dto.ProcessToBeDone;
import com.unissoft.dto.ToBeDoneCallbackVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * SystemManage服务的熔断器
 */
@Component
public class BusinessHystrix implements BusinessFeign {

    private final Logger logger = LoggerFactory.getLogger(BusinessHystrix.class);

    @Override
    public List<ToBeDoneCallbackVO> toBeDone(ProcessToBeDone done) {
        List<ToBeDoneCallbackVO> result = null;
        logger.error("调用csc-szls-business服务toBeDone方法失败!");
        return result;
    }

    @Override
    public List<Integer> getNotBeDoneNotice(String toBeDoneIds) {
        List<Integer> result = null;
        logger.error("调用csc-szls-business服务getNotBeDoneNotice方法失败!");
        return result;
    }
}
