package com.unissoft.feign;

import com.unissoft.MyConstant;
import com.unissoft.result.ResultView;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * feign调用wsm-oauth服务
 */
@FeignClient(value = MyConstant.CSC_SZLS_OAUTH, fallback = OauthHystrix.class)
public interface OauthFeign {

    /**
     * 获取token
     *
     * @param username
     * @param password
     * @param clientId
     * @param clientSecret
     * @param grantType
     * @param scope
     * @return
     */
    @PostMapping("/oauth/token")
    Map<String, Object> token(@RequestParam("username") String username, @RequestParam("password") String password,
                              @RequestParam("client_id") String clientId, @RequestParam("client_secret") String clientSecret,
                              @RequestParam("grant_type") String grantType, @RequestParam("scope") String scope);

    /**
     * 清除token（注销登录）
     *
     * @return
     */
    @GetMapping("/user/logout")
    ResultView logout(@RequestParam("token") String token);

}
