package com.unissoft.feign;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * SystemManage服务的熔断器
 */
@Component
public class SystemManageHystrix implements SystemManageFeign {

    private final Logger logger = LoggerFactory.getLogger(SystemManageHystrix.class);

    @Override
    public Map<Integer, String> getNoticeUserInfo(Integer depotId, String recvType, String recvDetails) {
        logger.error("调用csc-szls-system-manage服务getNoticeUserInfo方法失败!");
        return null;
    }

    @Override
    public Map<Integer, String> getUsersByRoleIds(Integer depotId, String roleIds) {
        logger.error("调用csc-szls-system-manage服务getUsersByRoleIds方法失败!");
        return null;
    }
}
