package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 公告表
 * </p>
 *
 * @author root
 * @since 2020-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_announcement")
@ApiModel(value="SysAnnouncement对象", description="公告表")
public class SysAnnouncement extends BaseModel implements Serializable {

    public static final String PATTERN_DATETIME = "yyyy-MM-dd HH:mm:ss";
    public static final String PATTERN_DATE = "yyyy-MM-dd";

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "内容")
    @TableField("content")
    private String content;

    @ApiModelProperty(value = "发布时间")
    @TableField("publish_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date publishTime;

    @ApiModelProperty(value = "发布用户姓名")
    @TableField("publish_user_name")
    private String publishUserName;

    @ApiModelProperty(value = "发布用户ID")
    @TableField("publish_user_id")
    private Integer publishUserId;

    @ApiModelProperty(value = "发布用户所属单位")
    @TableField("publish_org_name")
    private String publishOrgName;

    @ApiModelProperty(value = "发布用户所属单位ID")
    @TableField("publish_org_id")
    private Integer publishOrgId;

    @ApiModelProperty(value = "接收人类型：10全员，20指定粮库，30分公司全员，40指定角色组")
    @TableField("recv_type")
    private String recvType;

    @ApiModelProperty(value = "接收人类型详细情息的ID")
    @TableField("recv_details")
    private String recvDetails;

    @ApiModelProperty(value = "接收人类型详细情息")
    @TableField("recv_details_info")
    private String recvDetailsInfo;

    @ApiModelProperty(value = "状态：true已发布，false未发布(存草稿箱)")
    @TableField("publish_status")
    private Boolean publishStatus;

    @ApiModelProperty(value = "类型：10通知、20公告、30其它")
    @TableField("anno_type")
    private String annoType;

    @ApiModelProperty(value = "单位类型：分公司、粮库")
    @TableField("org_type")
    private String orgType;

}
