package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 预警管理
 * </p>
 *
 * @author root
 * @since 2020-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_early_warning")
@ApiModel(value="SysEarlyWarning对象", description="预警管理")
public class SysEarlyWarning extends BaseModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警名称")
    @TableField("warn_name")
    private String warnName;

    @ApiModelProperty(value = "预警Code")
    @TableField("warn_code")
    private String warnCode;

    @ApiModelProperty(value = "检查周期")
    @TableField("inspect_cycle")
    private String inspectCycle;

    @ApiModelProperty(value = "预警时间")
    @TableField("warning_time")
    private String warningTime;

    @ApiModelProperty(value = "人员类型")
    @TableField("warn_target_type")
    private String warnTargetType;

    @ApiModelProperty(value = "检查人员")
    @TableField("warn_target")
    private String warnTarget;

    @ApiModelProperty(value = "检查人员姓名")
    @TableField("warn_target_names")
    private String warnTargetNames;

    @ApiModelProperty(value = "是否启用，1启用，0未启用")
    @TableField("warn_status")
    private Boolean warnStatus;

    @ApiModelProperty(value = "按库或仓房为单位进行预警：1库，2仓房")
    @TableField("level_depot_house")
    private Integer levelDepotHouse;

    @ApiModelProperty(value = "跳转页面")
    @TableField("to_page")
    private String toPage;
}
