package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 文件元数据表
 * </p>
 *
 * @author root
 * @since 2021-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_file_metadata")
@ApiModel(value="SysFileMetadata对象", description="文件元数据表")
public class SysFileMetadata implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文件路径")
    @TableId("filepath")
    private String filepath;

    @ApiModelProperty(value = "文件名称")
    @TableField("filename")
    private String filename;

    @ApiModelProperty(value = "文件大小")
    @TableField("filesize")
    private String filesize;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;


}
