package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 消息推送表
 * </p>
 *
 * @author root
 * @since 2021-01-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_message")
@ApiModel(value="SysMessage对象", description="消息推送表")
public class SysMessage extends BaseModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类型：10注意，20完成，30警告")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "消息内容")
    @TableField("content")
    private String content;

    @ApiModelProperty(value = "发送用户ID")
    @TableField("from_user_id")
    private Integer fromUserId;

    @ApiModelProperty(value = "接收用户ID")
    @TableField("to_user_id")
    private Integer toUserId;

    @ApiModelProperty(value = "推送状态，0:未推送,  1:已推送")
    @TableField("push_status")
    private Boolean pushStatus;

    @ApiModelProperty(value = "跳转页面")
    @TableField("url")
    private String url;

}
