package com.unissoft.redismq;

import com.unissoft.utils.JsonUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

@Component
public class PublishService {
	
	@Autowired
	RedisTemplate<String, String> redisTemplate;

	/**
	 * 发布方法
	 * @param channel 消息发布订阅 主题
	 * @param message 消息信息
	 */
	public void publish(String channel, Object message) {
		redisTemplate.convertAndSend(channel, JsonUtil.parseObjToJson(message));
	}
}
